
Redmine - Defect #20662

db:migrate fails in upgrade from 3.0.3 to 3.1.0 fails (Bitnami)

2015-09-02 17:23 - Gustavo Regal

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.1.0

Description

I had 3.0.3 running OK (Bitnami Windows download).

Tried to upgrade to 3.1.0.

Backed up 3.0.3 MySQL DB and restored it to 3.1.0.

Run rake db:migrate and got the following error.

F:\Bitnami\redmine-3.1.0-0\apps\redmine\htdocs>bundle exec rake db:migrate RAILS

_ENV=production --trace

DL is deprecated, please use Fiddle

** Invoke db:migrate (first_time)

** Invoke environment (first_time)

** Execute environment

** Invoke db:load_config (first_time)

** Execute db:load_config

** Execute db:migrate

== 20150528092912 CreateRolesManagedRoles: migrating ==========================

-- create_table(:roles_managed_roles, {:id=>false})

rake aborted!

StandardError: An error has occurred, all later migrations canceled:

Mysql2::Error: Table 'roles_managed_roles' already exists: CREATE TABLE `roles_m

anaged_roles` (`role_id` int(11) NOT NULL, `managed_role_id` int(11) NOT NULL) E

NGINE=InnoDBF:/Bitnami/redmine-3.1.0-0/apps/redmine/htdocs/vendor/bundle/ruby/2.

0.0/gems/activerecord-4.2.3/lib/active_record/connection_adapters/abstract_mysql

_adapter.rb:305:in `query'

 Is it a bug in migration script or have I done something wrong?

Thanks in advance.

History

#1 - 2015-09-03 01:26 - Toshi MARUYAMA

- Status changed from New to Closed

- Priority changed from High to Normal

Please contact bitnami team.

#2 - 2015-09-03 14:41 - Gustavo Regal

Hi,

Issue solved.

It was actually nothing related to Bitnami specifics.

I realized I should have dropped and recreated my DB before restoring the backup.

Sorry for disturbing.

Powered by TCPDF (www.tcpdf.org)

2024-04-03 1/1

http://www.tcpdf.org

